> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/objects/entity/kitentity.md).

# KitEntity

### Parameters

#### kitType: [KitType](/scripting/bedwars-scripting/types/kittype.md)

Which type of [Kit](/scripting/bedwars-scripting/types/kittype.md) the entity is.

***

### Functions

#### moveTo(position: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)): nil

Moves the entity to the specified position.

#### attack(target: [Entity](/scripting/bedwars-scripting/objects/entity.md), damage: number): boolean

The entity attacks the target [Entity](/scripting/bedwars-scripting/objects/entity.md) for the specified damage amount. Returns true if the attack was successful.

#### setSpeed(speed: number)

Sets the walk speed of the entity.

#### setArmor(armor: [ItemType](/scripting/bedwars-scripting/types/itemtype.md))

Sets armor of the entity.

Examples: `ItemType.LEATHER_HELMET, ItemType.IRON_HELMET, ITEM_TYPE.DIAMOND_HELMET`

#### setHandItem(item: [ItemType](/scripting/bedwars-scripting/types/itemtype.md))

Sets the item held in the hand of the entity.

#### getModel(): [Model](/scripting/bedwars-scripting/objects/model.md) | nil

Returns the [Model](/scripting/bedwars-scripting/objects/model.md) of the entity.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/objects/entity/kitentity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
